module.exports = {
  parserPreset: {
    parserOpts: {
      headerPattern: /^([^\(\)（）\n\r\u2028\u2029]*)(?:(\(|（)(.*)(\)|）))?(:|：) ?(.*)$/,
      headerCorrespondence: [
        `type`,
        `left-parenthesis`,
        `scope`,
        `right-parenthesis`,
        `colon`,
        `subject`
      ],
      noteKeywords: [`BREAKING CHANGE`, `不兼容变更`],
    },
  },
  rules: {
    'body-leading-blank': [2, 'always'],
    'footer-leading-blank': [2, 'always'],
    'header-max-length': [2, 'always', 108],
    'subject-empty': [2, 'never'],
    'type-empty': [2, 'never'],
    'type-enum': [
      2,
      'always',
      [
        'build',
        '构建',
        'chore',
        '杂项',
        'ci',
        '持续集成',
        'docs',
        '文档',
        'feat',
        '新功能',
        'fix',
        '修复',
        'perf',
        '性能优化',
        'refactor',
        '重构',
        'revert',
        '撤销',
        'style',
        '代码样式',
        'test',
        '测试',
      ],
    ],
  },
}
